Bug 1295876 - sanlock: rebase to latest
sanlock: rebase to latest
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sanlock (Show other bugs)
7.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: David Teigland
Aharon Canan
: Rebase
Depends On:
Blocks: 1313485 1295577
  Show dependency treegraph
 
Reported: 2016-01-05 11:28 EST by David Teigland
Modified: 2016-09-29 09:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: sanlock-3.3.0-1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 09:58:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2016-01-05 11:28:39 EST
Description of problem:

Rebase to include these commits since 7.2:

e883b4c68f8e sanlock: change quiet_fail default to 1
a1a7a1f59058 sanlock: fix syntax errors
d6bef45b9716 sanlock: fix release clearing of host block
47cf665d310c sanlock: add man page section about internals
ce98f5f8141b sanlock: don't clear the shared flag on disk
7e43623a8ccf wdmd: prevent probe while watchdog is used
8e948fba24d4 sanlock: process commands arriving during poll() promptly
c77c09506d1a sanlock: clear helper process supplementary groups
badc556ff4f0 sanlock: add acquire flag to avoid waiting
a1929080a6ce python: add compile flags
05fb1a81a321 fence_sanlock: add flags for build
fe871876d0c0 sanlock: setup supplementary groups before daemonizing

I also hope to switch sanlock and wdmd systemd unit files from the current init-style wrappers to native style.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 David Teigland 2016-02-17 11:25:42 EST
All the commits between 7.2 and 7.3 are categorized below according to testing relevance.  Mainly it's regression testing using existing tests to verify that the handful of minor internal improvements have not caused any harm.  The actual bug fixes that require testing have already been covered elsewhere (the group id testing and the wdmd restart bug already included and tested for zstream.)  The bulk of the changes are related to features used by lvmlockd, not by RHEV, and these are covered by lvm testing.

no testing needed:
adbeb34efaf1 sanlock: man page reference to sanlock.conf
6dc88282bb83 sanlock: improve logging for renewals
315ab19e7756 sanlock: improve lvb logging and error checks
e883b4c68f8e sanlock: change quiet_fail default to 1
a1a7a1f59058 sanlock: fix syntax errors
47cf665d310c sanlock: add man page section about internals
a1929080a6ce python: add compile flags
05fb1a81a321 fence_sanlock: add flags for build

involve features that are not used by rhev AFAIK (mainly shared leases), so no rhev tests apply:
ada1cb58097d sanlock: fix sanlock_convert on registered fd
197a68b5b4d2 sanlock: fix convert sh to ex
d6bef45b9716 sanlock: fix release clearing of host block
ce98f5f8141b sanlock: don't clear the shared flag on disk
badc556ff4f0 sanlock: add acquire flag to avoid waiting

small improvements to internal implementation, so standard regression tests apply:
0257ef138eff sanlock: tolerate longer read delays in renewal
64fc348a616c sanlock: use io_destroy to clear outstanding aio
8e948fba24d4 sanlock: process commands arriving during poll() promptly

this was added to 7.2.z and tested there:
7e43623a8ccf wdmd: prevent probe while watchdog is used

testing for the group ids is explained in bug 1270713:
c77c09506d1a sanlock: clear helper process supplementary groups
fe871876d0c0 sanlock: setup supplementary groups before daemonizing
Comment 5 Aharon Canan 2016-09-29 09:58:17 EDT
We (Rhev storage QE) executed our automation using below sanlock pkgs and didn't face anything special.

[root@lynx09 ~]# rpm -qa |grep sanlock
sanlock-lib-3.4.0-1.el7.x86_64
sanlock-3.4.0-1.el7.x86_64
libvirt-lock-sanlock-2.0.0-10.el7.x86_64
sanlock-python-3.4.0-1.el7.x86_64


Closing.

Note You need to log in before you can comment on or make changes to this bug.